io_uring_prep_send_set_addr(3)

NAME
io_uring_prep_send_set_addr - set address details for send requests

SYNOPSIS
#include <liburing.h>

void io_uring_prep_send_set_addr(struct io_uring_sqe *sqe,
                                 const struct sockaddr *dest_addr,
                                 __u16 addr_len);

DESCRIPTION

The io_uring_prep_send_set_addr(3) function sets a socket destination address specified by dest_addr and its length using addr_len parameters. It can be used once sqe is prepared using any of the send(2) io_uring helpers. See man pages of io_uring_prep_send(3) or io_uring_prep_send_zc(3).

RETURN VALUE
None

SEE ALSO
io_uring_get_sqe(3), io_uring_prep_send(3), io_uring_prep_send_zc(3), send(2)